<?xml version="1.0" encoding="iso-8859-1"?>
<!--DOCTYPE html
  PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd" [
  <!ENTITY % entities SYSTEM "xhtml.ent">
  %entities;
]-->

<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="iso-8859-1" indent="yes" omit-xml-declaration="yes" media-type="text/html"
     doctype-system="http://www.w3.org/TR/html4/loose.dtd" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" version="4.01" />
    
<xsl:template match="/">

<xsl:variable name="id" select="/level/@id" />
<xsl:variable name="lname" select="/level/@name" />
<xsl:variable name="parent_id" select="/level/@parent_id" />
<xsl:variable name="parent_name" select="/level/@parent_name" />
<xsl:variable name="grandpa_id" select="/level/@grandpa_id" />
<xsl:variable name="semester" select="/level/@semester" />
<xsl:variable name="semester_id" select="/level/@semester_id" />
<xsl:variable name="path_to_doc" select="string(concat('../',$id))" />
<xsl:variable name="info_file" select="string(concat($path_to_doc,'_info.xml'))" />
<xsl:variable name="info_file_exists" select="boolean(/level/@is_root='1')" />
<xsl:variable name="lectures_file" select="string(concat($path_to_doc,'_lectures.xml'))" />
<xsl:variable name="lectures_file_exists" select="boolean(/level/@lectures_file_exists='1')" />
<html>
	<xsl:copy-of select="document('header.xml')/head" />
<body>
	<a name="top"></a>
	<div id="content" class="documentContent">
		<div id='skipDiv'>
			<ul>
				<li><a class='skiplink' href='#struktur'>zur Veranstaltungshierarchie</a></li>
				<li><a class='skiplink' href='#courses'>zu Veranstaltungen der aktuellen Veranstaltungshierarchie</a></li>
			</ul>
		</div>
		<div id="headerDiv">
			<div id="logoDiv">
				<a href="root.xml" title=""><img src="layout/logo.gif" height="73px" width="150px" alt="" /></a>
			</div>
			<div id="langDiv">
				<a href="javascript:print()" title="diese Seite drucken"><img src="layout/print.gif" alt="diese Seite drucken" /></a>
				
				<!-- ###TODO irgendwo das javascript von header.xsl einbinden damit showPrintDiv funktioniert -->
				<!--  ###SB Erweiterung mit Druckoptionen START
				<a href='javascript:showPrintDiv()' title='Diese Seite drucken'><img src='./layout/print.gif' alt='Diese Seite drucken' /></a>
					<div id='printDiv' style='text-align:left;position:absolute;left:600px;top:80px;z-level:1000;width:250px;padding:14px;background-color:#e3eefb;border:1px solid #336699;display:none'>
						<span style='font-weight:bold;color:#336699'>Bitte w&#228;hlen Sie ein Drucklayout:</span>	<br />	<br />
						<a style='color:#336699' href='javascript:printNormal()' title='ohne Seitenumbr&#252;che'><b>&raquo;ohne Seitenumbr&#252;che</b></a>	
						<br />Ohne zus&#228;tzlich eingef&#252;gte Seitenumbr&#252;che.
							<br />
							<br />
						<a style='color:#336699' href='javascript:printFB06()' title='mit zus&#228;tzlichen Seitenumbr&#252;chen'><b>&raquo;mit zus&#228;tzlichen Seitenumbr&#252;chen</b></a>	<br />
						Ab bestimmten &#252;berschriften (im FB06 ist dies bspw. der Studiengang) wird auf einer neuen Seite gedruckt.
							<br />
						<br />
						<a style='margin-left:190px;font-size:0.8em;color:#336699' href='javascript:hidePrintDiv()' title='schliessen'>schliessen</a>
					</div>
					END-->
			
			</div>
		</div>		
  		<div id="portal-breadcrumbs">
			<xsl:if test="$grandpa_id=''">
				<span id="breadcrumbs-you-are-here">Sie sind hier:</span>&#160;<a href="root.xml">Vorlesungsverzeichnis</a>&#160;&#8594;&#160;<a href="{$id}.xml"><xsl:value-of select="$lname" /></a>
			</xsl:if>
			<xsl:if test="$grandpa_id!=''">
				<span id="breadcrumbs-you-are-here">Sie sind hier:</span>&#160;<a href="root.xml">Vorlesungsverzeichnis</a>&#160;&#8594;&#160;<a href="{$parent_id}.xml"><xsl:value-of select="$parent_name" /></a>&#160;&#8594;&#160;<a href="{$id}.xml"><xsl:value-of select="$lname" /></a>
			</xsl:if>
		</div>		
		<h1>Vorlesungsverzeichnis-Archiv: <xsl:value-of select="$semester" /><br/><br/><small>(Stand 29.05.2013)</small></h1>
		<br />
		<br />
		<br />
		<div id="evvContent">
			<div style="color:red;">Dies ist die statische Version des Vorlesungsverzeichnisses, bei dem die gewohnten Sortierungs- und Filterfunktionen nicht vorhanden sind.</div>
			<br />
			<h2><xsl:value-of select="$parent_name" /> - <xsl:value-of select="$lname" /></h2>
			<div id="zurueckDiv"><a href="{$parent_id}.xml">zur&#252;ck</a></div>			
			<xsl:if test="$info_file_exists">
				<xsl:apply-templates select="document($info_file)//info" />
			</xsl:if>	
			<h3>Veranstaltungen</h3>
			<span class='jumpA'><a name="struktur" tabindex="0"></a></span>
			<xsl:if test="/level/@grandpa_id=''">
				<ul class="echt">
					<xsl:apply-templates select="/level/level">
						<xsl:with-param name="index" select="1" />
					</xsl:apply-templates>
				</ul>
			</xsl:if>
			<xsl:if test="/level/info_level!='' and /level/@grandpa_id=''">
				<p id="semTreeInfo"><xsl:copy-of select="/level/info_level" /></p>
			</xsl:if>
			
			<xsl:if test="/level/@grandpa_id!=''">
                                <div id="filtkommlegDiv">
                                        <hr class="clearer" />
                                        <fieldset style="margin:0;border:1px solid #ffffff;">
                                                <legend></legend>
                                                <a style="border:1px solid #9999cc;margin-top:1px;padding:1px 6px 2px 6px;font-size:1.2em;text-decoration:none" href="{$parent_id}_legend.xml" onclick="popup=window.open(this.href,'','toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=0,width=600,height=450'); return false;" title="Legende">Legende</a>
                                        </fieldset>
                                </div>
                                <hr class="clearer" />
                                <xsl:if test="/level/info_level!='' and /level/@grandpa_id!=''">
                                        <p id="semTreeInfo"><xsl:copy-of select="/level/info_level" /></p>
                                </xsl:if>
				<ul class="navi">
					<xsl:apply-templates select="/level/level">
						<xsl:with-param name="index" select="1" />
					</xsl:apply-templates>
				</ul>
			</xsl:if>
			<xsl:if test="$lectures_file_exists and /level/@grandpa_id=''">
				<span class="jumpA">
					<a name="courses" tabindex="0"></a><a href="#top" style="color:#ffffff" title="nach oben">&#8657;</a>
				</span>
				<hr class="clearer" />
				<div class="lectureItems">
					<xsl:apply-templates select="document($lectures_file)//lectures" />
				</div>
			</xsl:if>
			<xsl:if test="/level/@grandpa_id!=''">
				<xsl:apply-templates select="/level">
					<xsl:with-param name="index" select="0" />
					<xsl:with-param name="lectures_file" select="$lectures_file" />
					<xsl:with-param name="lectures_file_exists" select="$lectures_file_exists" />
				</xsl:apply-templates>
			</xsl:if>			
		</div>
	</div>	
	<xsl:copy-of select="document('footer.xml')/div" />
</body>
</html>
</xsl:template>

<xsl:template match="level">
	<xsl:param name="index" />
	<xsl:param name="lectures_file" />
	<xsl:param name="lectures_file_exists" />
	<xsl:variable name="level_count" select="string(concat('inst',count(ancestor::*)))" />
	<!--<xsl:variable name="lectures" select="document($lectures_file)//lectures[@parent_id=current()/@id]/lecture" />-->
	<xsl:if test="$index='1'">
		<xsl:if test="@grandpa_id='' and @kap=''">
			<li><a href="{@id}.xml"><xsl:value-of select="@name" /></a></li>
			<xsl:apply-templates select="level">
				<xsl:with-param name="index" select="$index" />
				<xsl:with-param name="lectures_file" select="$lectures_file" />
				<xsl:with-param name="lectures_file_exists" select="$lectures_file_exists" />
			</xsl:apply-templates>
		</xsl:if>
		
		<!-- ###SB TEST -->
		<xsl:if test="@grandpa_id='' and @kap='1'">
			<li><a href="{@id}.xml"><xsl:value-of select="@name" /></a></li>
			<xsl:apply-templates select="level">
				<xsl:with-param name="index" select="$index" />
				<xsl:with-param name="lectures_file" select="$lectures_file" />
				<xsl:with-param name="lectures_file_exists" select="$lectures_file_exists" />
			</xsl:apply-templates>
		</xsl:if>
		<!-- ###SB TEST ENDE -->
				
	     <xsl:if test="@grandpa_id!='' and @kap='' and $level_count!='inst3' and $level_count!='inst4'">	
			<li class="{$level_count}"><a href="#v{@id}"><xsl:value-of select="@name" /></a></li>
			<xsl:apply-templates select="level">
				<xsl:with-param name="index" select="$index" />
				<xsl:with-param name="lectures_file" select="$lectures_file" />
				<xsl:with-param name="lectures_file_exists" select="$lectures_file_exists" />
			</xsl:apply-templates>
		</xsl:if>
	</xsl:if>	
	<xsl:if test="$index='0'">
		<a name="v{@id}">&#160;</a>		
		<xsl:choose>
			<xsl:when test="@kap='1' and $lectures_file_exists">
				<xsl:if test="document($lectures_file)//lectures[@parent_id=current()/@id]/lecture">
					<h6 class='naviH6'><xsl:value-of select="@name" /></h6>
				</xsl:if>
				
				<xsl:if test="info_level!='' and document($lectures_file)//lectures[@parent_id=current()/@id]/lecture">
					<p><xsl:copy-of select="info_level" /></p>
				</xsl:if>
			</xsl:when>
			<xsl:when test="@kap='' and $level_count='inst1'">
				<h3 class="naviH3"><xsl:value-of select="@name" />&#160;<a class="aTop" href="#top" title="">&#8657;</a></h3>
				<xsl:if test="info_level!=''">
					<p><xsl:copy-of select="info_level" /></p>
				</xsl:if>				
			</xsl:when>
			
			<xsl:when test="@kap='' and $level_count='inst2'">
				<h4 class='naviH4'><xsl:value-of select="@name" />&#160;<a class='aTop' href='#top' title=''>&#8657;</a></h4>
				<xsl:if test="info_level!=''">
					<p><xsl:copy-of select="info_level" /></p>
				</xsl:if>
			</xsl:when>
		     <xsl:when test="@kap='' and $level_count='inst3'">
				<h5 class='naviH5'><xsl:value-of select="@name" /></h5>
				<xsl:if test="info_level!=''">
					<p><xsl:copy-of select="info_level" /></p>
				</xsl:if>
			</xsl:when>
			<xsl:when test="@kap='0' and $level_count='inst4'">
				<h6 class='naviH6'><xsl:value-of select="@name" /></h6>
				<xsl:if test="info_level!=''">
					<p><xsl:copy-of select="info_level" /></p>
				</xsl:if>
			</xsl:when>
		</xsl:choose>
		<div class="lectureItems">			
			<xsl:if test="$lectures_file_exists">
				<xsl:apply-templates select="document($lectures_file)//lectures[@parent_id=current()/@id]/lecture" />
			</xsl:if>
		</div>
		<xsl:apply-templates select="level">
			<xsl:with-param name="index" select="$index" />
			<xsl:with-param name="lectures_file" select="$lectures_file" />
			<xsl:with-param name="lectures_file_exists" select="$lectures_file_exists" />
		</xsl:apply-templates>
	</xsl:if>
</xsl:template>

<xsl:template match="info">
     <xsl:variable name="parent_id" select="/level/@parent_id" />
     <div id="adressDiv">
          <xsl:if test="adresse != ''">
               <xsl:value-of select="adresse" /><br />
          </xsl:if>
		<xsl:if test="ort != ''">
		     <xsl:value-of select="ort" /><br />
		</xsl:if>
		<xsl:if test="telefon != ''">
			<img src="layout/fon2.gif" alt="Telefon" height="16px" />&#160;
			<xsl:value-of select="telefon" />&#160;&#160;&#160;&#160;
		</xsl:if>
		<xsl:if test="fax != ''">
			<img src="layout/fax.gif" alt="Fax" height="16px" />&#160;
			<xsl:value-of select="fax" /><br />
		</xsl:if>
		<xsl:if test="url != ''">
			<xsl:apply-templates select="url"/><br />
		</xsl:if>
		<xsl:if test="email != ''">
			<xsl:apply-templates select="email"/><br />
		</xsl:if>
          <xsl:if test="Institut_url != ''">
               <a target='_blank' style='line-height:2em'>
                    <xsl:attribute name="href"><xsl:value-of select="Institut_url"/></xsl:attribute>
                    <xsl:value-of select="Institut_url"/>
               </a><br />
          </xsl:if>
	</div>
     <ul>
          <li>
               <a title="Personal"><xsl:attribute name="href"><xsl:value-of select="/info/@id"/><xsl:text>_personal.xml</xsl:text></xsl:attribute>Personal</a>
          </li>
          <li>
               <a onclick="popup=window.open(this.href,'','toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=0,width=600,height=450'); return false;" title="Legende"><xsl:attribute name="href"><xsl:value-of select="/info/@id"/><xsl:text>_legend.xml</xsl:text></xsl:attribute>Legende</a>
          </li>
<!--
	     <xsl:if test="DNr != ''">
		<li>
			<a href="http://hrza1.uni-giessen.de/evv-html/download/dekanat.cfm@FBNr={FBNr}&amp;Nr={DNr}&amp;S=WS&amp;A=0.html">Dekanat</a>
		</li>
		</xsl:if>
		<xsl:if test="PE != '0'">
		<li>
			<a href="http://hrza1.uni-giessen.de/evv-html/download/personal.cfm@FBNr={FBNr}&amp;S=WS&amp;A=0.html">Personal</a>
		</li>
		</xsl:if>
		<xsl:if test="WE != '0'">
		<li>
			<a href="http://hrza1.uni-giessen.de/evv-html/download/ueinrichtungen.cfm@FBNr={FBNr}&amp;S=WS&amp;A=0.html">Wissenschaftliche Einrichtungen</a>
		</li>
		</xsl:if>
-->
	</ul>
	<br />
</xsl:template>

<xsl:template match="lectures">
	<xsl:apply-templates select="lecture"/>
</xsl:template>

<xsl:template match="lecture">
	<xsl:variable name="row" select="string(concat('lectureItem',position() mod 2))" />
	<xsl:variable name="clearer" select="string(concat('clearer',position() mod 2))" />
	<span class="jumpA"><a name='v{@id}'></a></span>
	<div class="{$row}">
		<div class="lectureTitle">
			<xsl:if test="@type!=''"><span class="lectureItemTyp">[<xsl:value-of select="@type" />]&#160;</span></xsl:if>
			<span class="lectureItemTitle"><xsl:value-of select="name" /></span>
			<xsl:if test="nummer!=''">&#160;<span class="lectureItemNumber">&#160;(<xsl:value-of select="nummer" />)</span></xsl:if>
		</div>
		<xsl:if test="info_veranstaltung!=''">
			<p><xsl:copy-of select="info_veranstaltung" /></p>
		</xsl:if>
		<xsl:if test="info_datum!=''">
			<p><xsl:copy-of select="info_datum" /></p>
		</xsl:if>
		
		<div class="lectureItemLabel">Dozent/-in:</div>
		<div class="lectureItemContent">
			<xsl:apply-templates select="dozent/entry" />			
		</div>
		
		<div class="lectureItemLabel">Zeit und Ort:</div>
		<div class="lectureItemContent">
			<xsl:apply-templates select="reg_termin[entry]">
				<xsl:with-param name="clearer" select="$clearer" />
			</xsl:apply-templates>
			<xsl:apply-templates select="irreg_termin[entry]">
				<xsl:with-param name="clearer" select="$clearer" />
			</xsl:apply-templates>
			<xsl:if test="(not(reg_termin) and not(irreg_termin)) or (not(reg_termin/entry) and not(irreg_termin/entry))">k.A.</xsl:if>
		</div>
		<hr class="{$clearer}"/>
		<xsl:if test="zielgruppe[entry]">
			<xsl:apply-templates select="zielgruppe[entry]" />
		</xsl:if>
		<xsl:apply-templates select="labelval" />
		<xsl:if test="beschreibung and beschreibung!=''">
			<div class="lectureItemLabel">Kommentar:</div>
		     <div class="lectureItemContent">
			     <xsl:apply-templates select="beschreibung"/>
		     </div>
		</xsl:if>
		<hr class="{$clearer}" />
		<div class="studipLink">
			<div class="aTopLecture">
				<a href="#top" title="nach oben">nach oben</a>
			</div>
			<img src="layout/link_extern.gif" alt="" />
			<a href="https://studip.uni-giessen.de/studip/details.php?sem_id={@id}&amp;again=1" target="_blank" title='Zur Veranstaltung &quot;{@name}&quot; in Stud.IP springen'>&#160;Stud.IP</a>
		</div>		
	</div>
</xsl:template>

<xsl:template match="dozent/entry">
	<xsl:variable name="nachname" select="nachname" />
	<xsl:variable name="vorname" select="vorname" />
	<xsl:variable name="fullname" select="fullname" />
	<xsl:variable name="user_id" select="user_id" />
	<xsl:variable name="doz_count" select="count(../entry[fullname!=''])" />
	<xsl:choose>
		<xsl:when test="$nachname='N.N. - kein Dozent in Stud.IP' and $doz_count='1'">N.N.</xsl:when>
		<xsl:when test="$user_id=''"><xsl:value-of select="$fullname" /></xsl:when>
		<xsl:when test="$nachname!='N.N. - kein Dozent in Stud.IP'">
			<a href="{$user_id}.xml" onclick="popup=window.open(this.href,'','toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=1,resizable=0,width=400,height=260'); return false;" title="Kontakt {$vorname} {$nachname}"><xsl:value-of select="$fullname" /></a>&#160;
		</xsl:when>
	</xsl:choose>	
</xsl:template>

<xsl:template match="reg_termin[entry]">
	<xsl:variable name="reg_count" select="count(entry)" />
	<table border="0" cellpadding="0" cellspacing="0">
		<tr>
			<td colspan="3" class="blau">
				<xsl:if test="$reg_count='1'">regelm&#228;&#223;iger Termin</xsl:if><xsl:if test="$reg_count &gt; '1'">regelm&#228;&#223;ige Termine</xsl:if> ab <xsl:value-of select="../firstdate" />
			</td>
		</tr>		
		<xsl:apply-templates select="entry" />
	</table>
</xsl:template>
<xsl:template match="irreg_termin[entry]">
	<xsl:param name="clearer" />
	<xsl:variable name="count" select="count(entry)" />
	
	<div>
		<div class="blau">
			<xsl:if test="$count='1'">Einzeltermin </xsl:if><xsl:if test="$count&gt;'1'"><xsl:value-of select="$count" />&#160;Einzeltermine </xsl:if>
		</div>
		<xsl:if test="../irregTerminRoom!=''">
			<div><xsl:value-of select="../irregTerminRoom" /></div>
		</xsl:if>
		<div>
			<xsl:apply-templates select="entry" />
		</div>
	</div>
	<hr class="{$clearer}" />	
</xsl:template>
     
<xsl:template match="zielgruppe[entry]">
	<div class="lectureItemLabel">
		<xsl:if test="count(entry)='1'">Zielgruppe:</xsl:if>
		<xsl:if test="count(entry) &gt; '1'">Zielgruppen:</xsl:if>
	</div>
	<div class="lectureItemContent">
		<xsl:apply-templates select="entry" />
	</div>
</xsl:template>
     
<xsl:template match="labelval">
	<xsl:choose>
		<xsl:when test=".='2'">
			<div class="eLabelDiv">
				<img src="layout/elabel_1.gif" />&#160;<a href="http://www.uni-giessen.de/cms/fbz/svc/hrz/org/mitarb/abt/2/el/label/inhalt" target="_blank" title="l_labelinfo">E-Learning&#160;<i>Erg&#228;nzung</i></a>				
			</div>			
		</xsl:when>
		<xsl:when test=".='3'">
			<div class="eLabelDiv">	
				<img src="layout/elabel_2.gif" />&#160;<a href="http://www.uni-giessen.de/cms/fbz/svc/hrz/org/mitarb/abt/2/el/label/inhalt" target="_blank" title="l_labelinfo">E-Learning&#160;<i>Erg&#228;nzung</i></a>							
			</div>			
		</xsl:when>
		<xsl:when test=".='4'">
			<div class="eLabelDiv">		
				<img src="layout/elabel_3.gif" />&#160;<a href="http://www.uni-giessen.de/cms/fbz/svc/hrz/org/mitarb/abt/2/el/label/inhalt" target="_blank" title="l_labelinfo">E-Learning&#160;<i>Erg&#228;nzung</i></a>							
			</div>			
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="reg_termin/entry">
	<tr>
		<td style="whitespace: nowrap">
			<xsl:choose><xsl:when test="turnus='1'">zwei-w&#246;chentlich</xsl:when><xsl:otherwise>w&#246;chentlich</xsl:otherwise></xsl:choose>&#160;<xsl:value-of select="tag" />&#160;
		</td>
		<td style="whitespace: nowrap">				
			<xsl:value-of select="startzeit" />&#160;-&#160;<xsl:value-of select="endzeit" />&#160;Uhr,&#160;&#160;			
		</td>
		<td style="whitespace: nowrap">
			<xsl:choose>
				<xsl:when test="raum!=''"><xsl:value-of select="raum" /></xsl:when>
				<xsl:otherwise>k.A.</xsl:otherwise>
			</xsl:choose>			
		</td>
	</tr>
</xsl:template>

<xsl:template match="irreg_termin/entry">
	<div style="clear:both">		
		<span class="terminTag"><xsl:value-of select="tag" /></span>
		<xsl:if test="datum!=''">
			<span class="terminDatum">&#160;<xsl:value-of select="datum" />,</span>
		</xsl:if>		
		<span class="terminZeit"><xsl:value-of select="startzeit" />&#160;-&#160;<xsl:value-of select="endzeit" />&#160;Uhr&#160;&#160;</span>		
		<xsl:if test="raum!='' and (../../irregTerminRoom='' or not(../../irregTerminRoom))" >
			<span class="terminRaum"><xsl:value-of select="raum" /></span>
		</xsl:if>
		<xsl:if test="title!=''" >
			<span class="terminTitel"><xsl:value-of select="title" /></span>
		</xsl:if>
		<xsl:if test="description!=''" >
			<span class="terminDesc"><xsl:copy-of select="description" /></span>
		</xsl:if>
	</div>
</xsl:template>

<!-- zielgruppe -->
<xsl:template match="zielgruppe/entry">
	<xsl:variable name="count" select="count(../entry)"/>
	<xsl:variable name="pos" select="position()"/>
	<span style="whitespace: nowrap"><xsl:value-of select="." /><xsl:if test="not($count=$pos)">&#160;|&#160;</xsl:if></span>	
</xsl:template>

<xsl:template match="beschreibung">
	<xsl:copy-of select="." />
</xsl:template>

<!--<xsl:template match="lectures"><xsl:apply-templates /></xsl:template>-->
<xsl:template match="info_veranstaltung"><xsl:copy-of select="." /></xsl:template>
<xsl:template match="url"><xsl:copy-of select="." /></xsl:template>
<xsl:template match="email"><xsl:copy-of select="." /></xsl:template>
<xsl:template match="text()"></xsl:template>
</xsl:stylesheet>

